<div class="text-white" >
  <nav aria-label="Page navigation example text-center">
    <ul class="pagination">
      
      <li class="page-item" *ngIf="previous != null" ><a class="page-link" (click)="goPrevious('planets')" >Previous</a></li>

      <li class="page-item" *ngFor="let p of pages">
        <a class="page-link" routerLink="/planets/page/{{p}}" (click)="goPage('planets',p)" [class.active-pagination]="pageActive(p)">{{p}}</a>
      </li>

      <li class="page-item" *ngIf="next != null" ><a class="page-link" (click)="goNext('planets')" >Next</a></li>

    </ul>
  </nav>  